#!/usr/bin/env ruby
# -*- coding-8 -*-
def Q(w)
  if e[0]
    if a==39
      puts"正解"
    else
      "不正解"
      if e[1]
        if a==120
          puts"正解"
        else
          "不正解"
          if e[2]
            if a==51
              puts"正解"
            else
              puts"不正解"
              if e[3]
                if a==77
                   puts"正解"
                else
                  "不正解"
                  if e[4]
                    if a==67
                      puts"正解"
                    else
                      "不正解"
                      if e[5]
                        if a==40
                          puts"正解"
                        else
                          puts"不正解"
                        end
                      end
                    end
                  end
                end
              end
            end
          end
        end
      end
    end
  end
end
                          
                          puts"<ゲーム説明>"
                          puts"会話を進むときは、Enterを押してね。"
                          gets
                          puts"これは電卓ソードを使って、モンスターを倒すゲームだよ。"
                          gets
                          puts"答えを入力するときは、電卓を閉じてから入力してね"
                          gets
                          puts"それでは頑張って"
                          gets
                          puts"★ここにゲームの名前★"
                          gets
                          puts"モンスターを倒して、メンドー将軍を倒そう"
                          gets
                          puts"電卓はモンスターが出たときに出てくるからそれを使ってがんばってね"
                          puts"-電卓ソードをゲットした-"
                          gets

                          a=0

                          mamono = ["デビル", "インキュバス", "スライム", ]

                          while true
                            yabai = rand(mamono.size)

                            mon = mamono[yabai]

                            printf("「%s」が出てきた!\n", mon)
                            gets
                            a+=1
                            
                            e=["18+21", "23+97", "19+32", "13+64", "45+12", "16+24", "15+98", "72+31", "43+98", "72+26", "5×2", "6×3", "8×6", "7×9", "3×5", "4×8", "5×6", "3×8", "4×7", "5×12", "9×22", "222×2", "43×6", "8÷2", "4÷1", "6÷3", "8÷4", "9÷3", "12÷4", "72÷2"]
                            erabu = rand(e.length)

                            keisan = e[erabu]

                            printf("問題はこれだ。(%s)さぁ解けるかな\n", keisan)
                            system"ruby K.rb"
                            puts"答えを入力してね"
                            a=gets.to_i

                            Q(a)

                            

                            
                            puts"もう一回探索する?"
                            puts"1.する"
                            puts"2.しない"
                            tan=gets.to_i
                            if tan==1
                              redo
                            elsif tan==2
                              break
                            else
                              puts"1か2をえらんでね"
                              
                            end
                          end
